Bug 769740 - [abrt] java-1.6.0-openjdk-1.6.0.0-60.1.10.4.fc15: __GI_raise: Process /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/bin/java was killed by signal 6 (SIGABRT)
[abrt] java-1.6.0-openjdk-1.6.0.0-60.1.10.4.fc15: __GI_raise: Process /usr/li...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
abrt_hash:06d6fc6dbe1016dce712163f9cc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-21 20:13 EST by Kent Bair
Modified: 2011-12-30 10:05 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-30 10:05:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: dso_list (23.01 KB, text/plain)
2011-12-21 20:13 EST, Kent Bair
no flags Details
File: maps (51.95 KB, text/plain)
2011-12-21 20:13 EST, Kent Bair
no flags Details
File: backtrace (54.99 KB, text/plain)
2011-12-21 20:13 EST, Kent Bair
no flags Details

  None (edit)
Description Kent Bair 2011-12-21 20:13:51 EST
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 3
cmdline:        /usr/bin/java -Xms128m -Xmx512m -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Dorg.eclipse.swt.browser.UseWebKitGTK=true -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/python/pydev/ui/filetypes/FileTypesPreferencesPage,getDottedValidSourceFiles -XX:MaxPermSize=256m -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.1.1.R36x_v20101122_1400.jar -os linux -ws gtk -arch x86_64 -showsplash -launcher /usr/lib64/eclipse/eclipse -name Eclipse --launcher.library /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.2.R36x_v20101019_1345/eclipse_1312.so -startup /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.1.1.R36x_v20101122_1400.jar -exitdata 13d8005 -vm /usr/bin/java -vmargs -Xms128m -Xmx512m -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Dorg.eclipse.swt.browser.UseWebKitGTK=true -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/python/pydev/ui/filetypes/FileTypesPreferencesPage,getDottedValidSourceFiles -XX:MaxPermSize=256m -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.1.1.R36x_v20101122_1400.jar
comment:        opened eclipse selected a new working directorty
component:      java-1.6.0-openjdk
crash_function: __GI_raise
executable:     /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/bin/java
kernel:         2.6.41.4-1.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        java-1.6.0-openjdk-1.6.0.0-60.1.10.4.fc15
reason:         Process /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/bin/java was killed by signal 6 (SIGABRT)
time:           Wed 21 Dec 2011 06:04:54 PM MST
uid:            500
var_log_messages: Dec 21 18:04:58 bair-linux abrt[6926]: saved core dump of pid 6838 (/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/bin/java) to /var/spool/abrt/ccpp-2011-12-21-18:04:54-6838.new/coredump (363810816 bytes)
xsession_errors: 

backtrace:      Text file, 56306 bytes
dso_list:       Text file, 23559 bytes
maps:           Text file, 53193 bytes

build_ids:
:318d7ebb9ff61bf5d08d070bb0fa793c4c0d9cb0
:4e07b77adb145cc6404542708f22dc48ded94731
:0b232e446650ce07a3e70bae4f00a7ad5eda2630
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:6b1424bc95cab633e2675a5e3e09e5b7024afc2b
:00caa79d9b9399c8cecfe1e6b9b0937c74a24a17
:17e8fca193cfa612bf826fa5c6419eb4251bbfdc
:429ccb97fde922d0156a53403cbe6b2f726ef004
:8008d939b1ae48cc7d893770554cecf288f86b24
:585e18f56063dab8934660820f0c63765c6c1a1f
:1cd93d403416b8ac6f7ae3ffa432b05a7c6d5158
:48c986082682a31f0a23ad45b8baec3104ccc8bc
:c0170fedaf8b7922a6cecd1239bb829aeb131e42
:0b1f69c75c16ae2ee963cec0721f0e67e2b0f630
:7ed089c8d172cf7818022d572ceaecf68358b19e
:1e49d90ad8b056f23bfcb1112c138b3074cd91a8
:d209b396f198879f49a4cce4bd445df16ab163b5
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:5dddbb646db3ca0f93a9848c66c8a6dd1b335466
:90fe13fac734263f663981ce4d1691cf926ced25
:7ff59f3ec00ebb70f32a3f3d6373e19cdc03d0cd
:27301f5062e80c3247bf89aaf21f0a6e3180168f
:694720719702047d15eb06db4abc65a9a5770d96
:91689252818532ec13597b6528d38be93b2706c4
:b00dc10fef112773100ef279e875b430f83c4094
:41e8b8073ee1abe14cfcdb489c41f83237c9a27e
:afe4ec94c18bd5228bda21a6e8df520ba8e19e37
:555fe9d8d4e46eb06dfdeac35684309dd445fd46
:5db0bc8b22bfa50d3a027afd1a8ab686ebe10e65
:96ced64eacfed1319c5a820d05cdfe2979560396
:0911ea7c180d733724f89037b8e8a34e64024aec
:5c94d34eef463a380dece1eac0811d6cb2dea2f9
:ec9614ae603aeb492bb0c9ef922bb493ca668df5
:48aea888319e1848137073c9cbde54a4c2a731c9
:e5f626726497a81807681ed0088dbce6d6a1f17b
:9089be604f1764c594a835731a3fd0532df7442a
:4a7e68edf2778a9fbd3d4a8fbd3f9d1e7b785fc6
:626253cd342351e050cb793f6ebedff7f6d5aa0f
:0854441d0e3df2ecc4a35c65091d296204d5835c
:d259f77e246b7dde5797633a40e4a655375f9b97
:4c842320387ff7f6f91b7842b223c16518be909f
:f263996d00ceb821893db62b538d3c289ad279b5
:1c6a95451ee19617be5abea3d121f0226d21ddda
:fdc09328fea3e060c8a504a8291555b4cd19172a
:264bfd9d45950be27417615f22a11928f979af89
:d5e5de8d7cfbc499609006ad34df6ec306ae59d6
:1d87720659528ad80e8870da2b2bb4af4470cf66
:0ec438baa9560fba96b5c80b2a54a501ba5d7834
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:f277cf8af7532168ab476e5f7bddaa44e74ff642
:9cd020ec2107c08febe2c8fcabd158212c207854
:aaf62304b0fc10611d35b4f56005479d4c58868d
:4c7e95adf3ebf234c3296a412389fb303f4facf0
:e5563707f75a8cadfae88fc3cb2f035a2d277715
:3e7396aeb0cacf83a7416f50cad1ff2d2d5c1594
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:634eca0cadcf35206919dd5e6a8e2e8601276947
:3efa90a1dfea76e986419cc678c07b368c6afde2
:9b3af3c4e04ceb5aaa350786fd48189771cc5d0c
:79d2d2a3e3d39fcde3bea274434562ecbc41b360
:ea760aa2de6abde31a9d0ee07daad27a6bb75a21
:2605988b031acd22963135c5fd3d61490cf6b5d1
:8004fd9a60302bd0663602b5ba96d1b6bc6732ba
:897c44a073d2593c6efe859dc3f43125eb0bdd19
:c3bf0640bc3345ce7d088a9e8917ed5d7471e1b2

environ:
:XDG_SESSION_ID=300
:SSH_AGENT_PID=3710
:HOSTNAME=bair-linux
:DM_CONTROL=/var/run/xdmctl
:GPG_AGENT_INFO=/tmp/gpg-AHSfEB/S.gpg-agent:3737:1
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=1333c365f3719ef53f04f79f0000000c-1324515028.982194-885562123
:XDM_MANAGED=method=classic
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/kent/.gtkrc-2.0:/home/kent/.gtkrc-2.0-kde4:/home/kent/.kde/share/config/gtkrc-2.0
:GS_LIB=
:GNOME_KEYRING_CONTROL=/tmp/keyring-t4Nwqk
:KDE_FULL_SESSION=true
:USER=kent
:SSH_AUTH_SOCK=/tmp/ssh-qAiPFB3679/agent.3679
:MAIL=/var/spool/mail/kent
:DESKTOP_SESSION=default
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/sbin:/home/kent/bin
:PWD=/home/kent
:KDE_SESSION_UID=500
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=3677
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoredups
:SHLVL=2
:HOME=/home/kent
:KDE_SESSION_VERSION=4
:LOGNAME=kent
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-TV9wuX5XfC,guid=b040fd95f282278f3927a98c000bc749
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/kent
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/kent/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/tmp/kde-kent/xauth-500-_0
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/3773,unix/unix:/tmp/.ICE-unix/3773
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/kent/.gtkrc::/home/kent/.kde/share/config/gtkrc
:XCURSOR_THEME=default
:DESKTOP_STARTUP_ID=bair-linux;1324515874;246249;3789_TIME772758772
:MOZILLA_FIVE_HOME=/usr/lib64/xulrunner-2
:LD_LIBRARY_PATH=/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/server:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/../lib/amd64
Comment 1 Kent Bair 2011-12-21 20:13:56 EST
Created attachment 549107 [details]
File: dso_list
Comment 2 Kent Bair 2011-12-21 20:13:58 EST
Created attachment 549108 [details]
File: maps
Comment 3 Kent Bair 2011-12-21 20:13:59 EST
Created attachment 549109 [details]
File: backtrace
Comment 4 Deepak Bhole 2011-12-21 21:11:11 EST
Native SWT library issue originating here:
#7  0x00007f1c65421ad1 in Java_org_eclipse_swt_internal_gtk_OS__1g_1object_1get_1qdata () from /usr/lib64/eclipse/configuration/org.eclipse.osgi/bundles/114/1/.cp/libswt-pi-gtk-3659.so

Re-assigning to Eclipse.
Comment 5 Andrew Overholt 2011-12-22 09:38:43 EST
Does this happen all the time, Kent?  It'll be very difficult if not impossible to fix this without a reproducible test case.
Comment 6 Kent Bair 2011-12-22 20:51:31 EST
no it happened a few times while i was configuring the android sdk after i got that working properly and the needed packages installed it started working properly again. my thoughts is that it had some weird side effects between different dependencies. so unless you see others like it probably not an issue and at any rate a low priority issue.
Comment 7 Andrew Overholt 2011-12-30 10:05:51 EST
Thanks for the additional info, Kent.  Please do re-open if this persists.

Note You need to log in before you can comment on or make changes to this bug.